%global pkgname kitchen
%global summary Small, useful pieces of code to make python coding easier
%global _description \
kitchen includes functions to make gettext easier to use, handling unicode \
text easier (conversion with bytes, outputting xml, and calculating how many \
columns a string takes), and compatibility modules for writing code that uses \
python-2.7 modules but needs to run on python-2.3.

Name:           python3-%{pkgname}
Version:        1.2.5
Release:        2%{?dist}
Summary:        %{summary}

Group:          Development/Languages
License:        LGPLv2+
URL:            https://pypi.python.org/pypi/kitchen/
Source0:        https://pypi.io/packages/source/k/kitchen/kitchen-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python-srpm-macros
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-nose
BuildRequires:  python%{python3_pkgversion}-test
BuildRequires:  python%{python3_pkgversion}-chardet
%if 0%{?with_python3_other}
BuildRequires:  python%{python3_other_pkgversion}-devel
BuildRequires:  python%{python3_other_pkgversion}-nose
BuildRequires:  python%{python3_other_pkgversion}-test
BuildRequires:  python%{python3_other_pkgversion}-chardet
%endif

%description %{_description}


%if %{python3_pkgversion} != 3
%package -n python%{python3_pkgversion}-%{pkgname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pkgname}}
Requires:       python%{python3_pkgversion}-chardet

%description -n python%{python3_pkgversion}-%{pkgname} %{_description}
%endif

%if 0%{?with_python3_other}
%package -n python%{python3_other_pkgversion}-%{pkgname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_other_pkgversion}-%{pkgname}}
Requires:       python%{python3_other_pkgversion}-chardet

%description -n python%{python3_other_pkgversion}-%{pkgname} %{_description}
%endif


%prep
%autosetup -n kitchen-%{version}

# Remove bundled egg info, if any.
rm -rf *.egg*

%build
%py3_build
%if 0%{?with_python3_other}
%py3_other_build
%endif
# Not building the docs because they need to be built with the python3 version
# of Sphinx, and we don't have that in EPEL yet.

%install
%py3_install
%if 0%{?with_python3_other}
%py3_other_install
%endif

%check
# In current mock, the PATH isn't being reset.  This causes failures in some
# subprocess tests as a check tests /root/bin/PROGRAM and fails with Permission
# Denied instead of File Not Found.  reseting the PATH works around this.
PATH=/bin:/usr/bin
export PYTHONPATH=.:kitchen3/
nosetests-%{python3_version} kitchen3/tests/
%if 0%{?with_python3_other}
nosetests-%{python3_other_version} kitchen3/tests/
%endif


%files -n python%{python3_pkgversion}-%{pkgname}
%doc README.rst NEWS.rst kitchen3/docs/*.rst
%license COPYING COPYING.LESSER
%{python3_sitelib}/kitchen*

%if 0%{?with_python3_other}
%files -n python%{python3_other_pkgversion}-%{pkgname}
%doc README.rst NEWS.rst kitchen3/docs/*.rst
%license COPYING COPYING.LESSER
%{python3_other_sitelib}/kitchen*
%endif


%changelog
* Thu Mar 07 2019 Troy Dawson <tdawson@redhat.com> - 1.2.5-2
- Rebuilt to change main python from 3.4 to 3.6

* Wed Aug 16 2017 Aurelien Bompard <abompard@fedoraproject.org> - 1.2.5-1
- Make a python3-only package for EPEL, based on the Fedora package.
